WordPress 5.5 jQuery Sorunu Nasıl Onarılır

WordPress 5.5 jQuery Sorunu Nasıl Onarılır

WordPress 5.5 büyük ölçüde bir başarıdır. Ancak, temalardan ve eklentilerden sitelerin bozulmasına neden olan çok sayıda çatışma oldu. Muhtemelen en büyük sorun, WordPress'in eski jQuery Migrate'i kaldırma kararından kaynaklanıyor.

WordPress'i modernleştirme sürecinin ilk adımı, WordPress 5.5'teki jQuery Migrate 1.x'i kaldırmaktı. Ve bazı sitelerin bozulmasına neden olan da budur.

Bazı WordPress temaları ve eklentileri, bir dizi soruna neden olan eski jQuery komut dosyalarını kullanıyor.

JQuery Migrate Helper için WordPress sayfasına göre:

"WordPress 5.5 güncellemesiyle, jquery-migrate olarak bilinen bir taşıma aracı artık varsayılan olarak etkinleştirilmeyecek.

Bu, eski kodları çalıştıran bazı temalarda veya eklentilerde beklenmedik davranışlara yol açabilir. "

Bu yazı itibariyle, 80.000'den fazla WordPress yayıncısı, WordPress 5.5'in "beklenmedik davranışlarını" durdurmak için WordPress eklentisini indirdi.

KAYNAK: SEJ